"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantCall(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "sampleId",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_5_0_0 import reports as reports_4_2_0

        return {
            "org.gel.models.report.avro.VariantCall": reports_4_2_0.VariantCall,
        }

    __slots__ = [
        "sampleId",
        "depthAlternate",
        "depthReference",
        "vaf",
    ]

    def __init__(
        self,
        sampleId,
        depthAlternate=None,
        depthReference=None,
        vaf=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_4_2_0.VariantCall model.

        :param sampleId:
            LP Number of the family member:
        :type sampleId: str
        :param depthAlternate:
            Depth for Alternate Allele
        :type depthAlternate: None | int
        :param depthReference:
            Depth for Reference Allele
        :type depthReference: None | int
        :param vaf:
            Variant Allele Frequency
        :type vaf: None | double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "4.2.0"
